Subject: Copyright and licensing - a plea to software authors
From: Ian Jackson <[email-masked]>
Date: Fri, 9 Sep 1994 14:10:28 GMT
Newsgroups: comp.os.linux.announce

If you are the author or maintainer of a piece of software intended to
be used under Linux please think very hard about what copyright notice
you attach to your work.

Many programs, often written especially for Linux, are being
distributed with copyright notices which are unclear, or prevent
distribution on CD-ROM, or often both.

Some even don't come with copyright notices and permission statements
at all, which means that all the users who download and use the
program in question are in violation of the author's copyright !

I would therefore strongly urge all members of the Linux development
community to consider whether using the GNU General Public Licence,
the Library GPL (LGPL) or perhaps a BSD UCB style copyright will serve
their goals better than a notice they hack up themselves.

Linus himself has said in an interview with the Linux Journal that
releasing Linux under the GPL was the best design decision he had
made.

Remember that if you put an awkward or unclear copyright notice on
your work you will be restricting the number of people who gain access
to your software.

A few myths dispelled:

* Releasing your software under the GPL does _not_ donate it to the
Free Software Foundation or relinquish _your_ rights to modify or
distribute it.  It merely gives other people rights to do certain
things, and ensures that no-one can deny others those rights.  For
example, Larry Wall has released Perl under both the GPL and his own
"Artistic Licence".

* The GPL does _not_ imply an interface copyright.  It does _not_
require other people who write independent programs which run on or
with your software to release their work under the GPL.  The statement
at the top of the COPYING file in the Linux source tree is redundant,
other than for clarity's sake and to silence ignorant flamers.

* Code which does not carry a copyright notice is _not_ public domain,
and people may _not_ do what they want with it.  In fact, in the
absence of a statement saying what they may do or an explicit notice
saying the code is in the public domain they may not do _anything_
with it !

If you wish to place your work in the public domain, so that anyone
can do anything with it - including making their own derivations and
placing their own copyright on them without crediting you - you must
say so explicitly, for example with "I hereby relinquish my copyright
and place this work in the public domain".

Finally, note that in this posting I am _not_ seeking to limit your
right to put whatever copyright licence on your work you feel is
right.  I'm trying to make you as a developer more conscious of the
ramifications of your decisions, so that you can make your own
decision about whether you want to benefit the Linux community and if
so how you wish to do so.

There is a FAQ on copyright law (mainly US law) which is posted to a
number of groups regularly including news.answers.  It can be found on
rtfm.mit.edu in /pub/usenet/news.answers/Copyright-FAQ and in mirrors
thereof.

--
Ian Jackson, at home.         [email-masked] or [email-masked]
+44 1223 575512    Escoerea on IRC.   http://www.cl.cam.ac.uk/users/iwj10/
2 Lexington Close, Cambridge, CB4 3LS, England.   Urgent: [email-masked]
--
Send submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.